[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMBiDiModeChanged

Handles CM_BIDIMODECHANGED messages for the control.

## Declaration

Source position: controls.pp line 1441

`protected procedure TControl.CMBiDiModeChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message examined and handled in the method.

## Description

Calls the Invalidate method to redraw the control when the wParam member in Message is 0 (zero).

## See also

TControl.Invalidate |  | Causes a delayed Repaint of the control by marking its visible area of the control as invalid.
TLMessage |  |